Bug 117154 - Quanta crashes when I open a test file in the editor
Quanta crashes when I open a test file in the editor
Product: Red Hat Raw Hide
Classification: Retired
Component: quanta (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
Depends On:
Blocks: FC2Target
  Show dependency treegraph
Reported: 2004-02-29 12:55 EST by Steve Bergman
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-10 08:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace (4.96 KB, text/plain)
2004-02-29 12:57 EST, Steve Bergman
no flags Details
dbClasses.inc (3.76 KB, text/plain)
2004-03-02 02:20 EST, Steve Bergman
no flags Details

  None (edit)
Description Steve Bergman 2004-02-29 12:55:43 EST
Description of problem:

Quanta crashes when I open any html file.

Version-Release number of selected component (if applicable):

3.2.0 using kde-redhat-1.4

How reproducible:

Every time.

Steps to Reproduce:
1.Bring up quanta
2.Open a project
3.Open a file in that project.
Actual results:

Expected results:

File opened in editor
Additional info:
Comment 1 Steve Bergman 2004-02-29 12:57:17 EST
Created attachment 98142 [details]
Comment 2 Steve Bergman 2004-02-29 14:07:20 EST
It seems to happen when I have a particular php include statement in
the file.  Earlier it crashed on loading an regular html file but at
this time it seems only to happen when I include the file with my
database access classes.  I'm investigating further.
Comment 3 Steve Bergman 2004-02-29 14:26:35 EST
Since this was starting to look like an upstream problem, I looked
upstream.  There is a thread here:


That looks something like my problem.  It is supposedly fixed in CVS.
 Just from my own experience here, I would say that quanta in it's
present form in rawhide is completely unusable.
Comment 4 Steve Bergman 2004-02-29 19:37:58 EST
No.  Not fixed in cvs. The Feb 25, 2004 snapshot goes up in flames in
exactly the same place.
Comment 5 Ngo Than 2004-03-01 04:32:02 EST
could you please give me a testcase, how i can reprodurce this problem?
Comment 6 Steve Bergman 2004-03-01 16:20:29 EST
I've done some more testing and the problem seems to have to do with
the length of the include file.  It does not seem to care about how
many lines, but it does seem to char about total file size.

I've paired it down and if the include file is 2002 bytes in size it's
fine.  If it is > 2002 bytes in size it crashes.  I checked to make
sure it was not the total size of the include file + the original file
with the include statement.  It's not.  I can increase the size of the
file with the include statement and it does not crash.

Which bug number should I be using?  117154 or 76478?
Comment 7 Steve Bergman 2004-03-02 02:18:24 EST
Never mind my question about bug number.  I had my bugzillas crossed.

BTW, I have reported this bug upstream at:


The Quanta guys can't reproduce yet either, so I'm not sure if this is
a rawhide problem or a quanta problem.  BTW, I understand that there
were a few bug introduced at the last minute before 3.2.0 was
released, which were fixed in CVS soon after.  3.2.1 is coming out
shortly and rawhide may want to move to that.

I thought I had already added the following, but apparently I never
committed it.  

Anyway, here is a more detailed description of what I am doing:

1. Bring up quanta
2. Create new project
3. Cut and paste the attached dbClasses.inc code into the editor
4. Save it as dbClasses.inc
5. Click "New" for a new file.
6. Type:


7. Save this as test.php. (Should crash here. In case not, continue on.)
8. Close quanta.
9. Open quanta.
10. Open the project.
11. Double click on test.php
12. Should have crashed by now.
Comment 8 Steve Bergman 2004-03-02 02:20:04 EST
Created attachment 98180 [details]
Comment 9 Peter van Egdom 2004-04-08 15:28:03 EDT
I can reproduce this crash using the description in comment #7 with
the package "quanta-3.2.1-1".
Comment 10 Ngo Than 2004-05-10 08:50:15 EDT
it seems that it's fixed in quanta-3.2.2. thanks for your report

Note You need to log in before you can comment on or make changes to this bug.